package cn.bunny.dao.dto.financial.bill.user;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "BillDto对象", title = "账单信息查询内容", description = "账单信息查询内容")
public class BillUserDto {

    @Schema(name = "username", title = "类型：1 - 收入，-1 - 支出")
    private Byte type;

    @Schema(name = "description", title = "描述")
    private String description;

    @Schema(name = "startDate", title = "开始交易日期")
    @JsonFormat(locale = "zh", timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private LocalDate startDate;

    @Schema(name = "endDate", title = "结束交易日期")
    @JsonFormat(locale = "zh", timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private LocalDate endDate;

}