package cn.bunny.dao.dto.financial.budgetCategory;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "BudgetCategoryDto对象", title = "预算分类查询", description = "预算分类查询")
public class BudgetCategoryDto {

    @Schema(name = "userId", title = "绑定的用户id")
    private Long userId;

    @Schema(name = "categoryName", title = "分类名称")
    private String categoryName;

    @Schema(name = "budgetName", title = "预算名称")
    private String budgetName;

    @Schema(name = "statusType", title = "完成状态")
    private String statusType;

    @Schema(name = "amount", title = "预算金额")
    private BigDecimal amount;

    @Schema(name = "period", title = "预算周期")
    private String startPeriod;

    @Schema(name = "period", title = "预算周期")
    private String endPeriod;

}

