package cn.bunny.dao.dto.financial.category.admin;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "CategoryAddDto对象", title = "分类信息添加", description = "分类信息添加")
public class CategoryAddDto {

    @Schema(name = "userId", title = "绑定的用户id")
    private Long userId;

    @Schema(name = "categoryName", title = "分类名称")
    @NotNull(message = "分类名称不能为空")
    @NotBlank(message = "分类名称不能为空")
    private String categoryName;

    @Schema(name = "isBuiltin", title = "是否内置字段")
    @NotNull(message = "内置字段不能为空")
    private Boolean isBuiltin;

}