package cn.bunny.dao.dto.financial.category.user;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "CategoryUpdateDto对象", title = "分类信息添加", description = "分类信息添加")
public class CategoryUserUpdateDto {

    @Schema(name = "id", title = "主键")
    @NotNull(message = "id不能为空")
    private Long id;

    @Schema(name = "categoryName", title = "分类名称")
    @NotNull(message = "分类名称不能为空")
    @NotBlank(message = "分类名称不能为空")
    private String categoryName;

}
