package cn.bunny.dao.dto.financial.debtCollectionManagement;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "DebtCollectionManagementDto对象", title = "债务回收管理查询", description = "债务回收管理查询")
public class DebtCollectionManagementDto {

    @Schema(name = "debtId", title = "债务ID")
    private Long debtId;

    @Schema(name = "recoveryDate", title = "回收日期")
    private LocalDateTime recoveryDate;

    @Schema(name = "recoveryAmount", title = "回收金额")
    private BigDecimal recoveryAmount;

    @Schema(name = "recoveryMethod", title = "回收方式")
    private String recoveryMethod;

    @Schema(name = "notes", title = "备注")
    private String notes;

}


