package cn.bunny.dao.dto.financial.debtRepaymentPlan;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "CategoryUserAddDto对象", title = "债务还款计划表添加", description = "债务还款计划表添加")
public class DebtRepaymentPlanAddDto {

    @Schema(name = "installmentNumber", title = "债务金额")
    @NotNull(message = "债务金额不能为空")
    private BigDecimal installmentNumber;

    @Schema(name = "installmentAmount", title = "每期应还金额")
    @NotNull(message = "每期应还金额不能为空")
    private BigDecimal installmentAmount;

    @Schema(name = "dueDate", title = "还款截止日期")
    @NotNull(message = "还款截止日期不能为空")
    private LocalDateTime dueDate;

    @Schema(name = "paidAmount", title = "已还金额")
    @NotNull(message = "已还金额不能为空")
    private BigDecimal paidAmount;

    @Schema(name = "paymentStatus", title = "还款状态")
    @NotNull(message = "还款状态不能为空")
    @NotBlank(message = "还款状态不能为空")
    private String paymentStatus;

}
