package cn.bunny.dao.dto.financial.debtRepaymentPlan;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "DebtRepaymentPlanDto对象", title = "债务还款计划查询", description = "债务还款计划查询")
public class DebtRepaymentPlanDto {

    @Schema(name = "installmentNumber", title = "债务金额")
    private BigDecimal installmentNumber;

    @Schema(name = "installmentAmount", title = "每期应还金额")
    private BigDecimal installmentAmount;

    @Schema(name = "dueDate", title = "还款截止日期")
    private LocalDateTime dueDate;

    @Schema(name = "paidAmount", title = "已还金额")
    private BigDecimal paidAmount;

    @Schema(name = "paymentStatus", title = "还款状态")
    private String paymentStatus;

}
