package cn.bunny.dao.dto.financial.debtTracking;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "DebtTrackingDto对象", title = "债务追踪查询", description = "债务追踪查询")
public class DebtTrackingDto {

    @Schema(name = "userId", title = "绑定的用户")
    private Long userId;

    @Schema(name = "debtorName", title = "债务人姓名")
    private String debtorName;

    @Schema(name = "debtAmount", title = "债务金额")
    private BigDecimal debtAmount;

    @Schema(name = "debtType", title = "债务类型")
    private String debtType;

    @Schema(name = "debtStatus", title = "债务状态")
    private String debtStatus;

    @Schema(name = "dueDate", title = "还款截止日期")
    private LocalDateTime dueDate;

}

