package cn.bunny.dao.entity.financial;

import cn.bunny.dao.common.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 账单信息
 * </p>
 *
 * @author Bunny
 * @since 2024-11-07
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("t_bill")
@Schema(name = "Bill对象", title = "账单信息", description = "账单信息")
public class Bill extends BaseEntity {

    @Schema(name = "username", title = "类型：1 - 收入，-1 - 支出")
    private Byte type;

    @Schema(name = "amount", title = "金额")
    private BigDecimal amount;

    @Schema(name = "description", title = "描述")
    private String description;

    @Schema(name = "transactionDate", title = "交易日期")
    private LocalDateTime transactionDate;

    @Schema(name = "categoryId", title = "类别id")
    private Long categoryId;

}



