package cn.bunny.dao.entity.financial;

import cn.bunny.dao.common.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * <p>
 * 预算分类表
 * </p>
 *
 * @author Bunny
 * @since 2024-11-11
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("t_budget_category")
@Schema(name = "BudgetCategory对象", title = "预算分类表", description = "预算分类表")
public class BudgetCategory extends BaseEntity {

    @Schema(name = "parentId", title = "父级id")
    private Long parentId;

    @Schema(name = "userId", title = "绑定的用户id")
    private Long userId;

    @Schema(name = "categoryName", title = "分类名称")
    private String categoryName;

    @Schema(name = "budgetName", title = "预算名称")
    private String budgetName;

    @Schema(name = "statusType", title = "完成状态")
    private String statusType;

    @Schema(name = "amount", title = "预算金额")
    private BigDecimal amount;

    @Schema(name = "startPeriod", title = "开始预算周期")
    private String startPeriod;

    @Schema(name = "endPeriod", title = "结束预算周期")
    private String endPeriod;

}
