package cn.bunny.dao.entity.financial;

import cn.bunny.dao.common.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 债务还款计划表
 * </p>
 *
 * @author Bunny
 * @since 2024-11-11
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("t_debt_repayment_plan")
@Schema(name = "DebtRepaymentPlan对象", title = "债务还款计划表", description = "债务还款计划表")
public class DebtRepaymentPlan extends BaseEntity {

    @Schema(name = "installmentNumber", title = "债务金额")
    private BigDecimal installmentNumber;

    @Schema(name = "installmentAmount", title = "每期应还金额")
    private BigDecimal installmentAmount;

    @Schema(name = "dueDate", title = "还款截止日期")
    private LocalDateTime dueDate;

    @Schema(name = "paidAmount", title = "已还金额")
    private BigDecimal paidAmount;

    @Schema(name = "paymentStatus", title = "还款状态")
    private String paymentStatus;

}



