package cn.bunny.dao.entity.financial;

import cn.bunny.dao.common.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 债务追踪表
 * </p>
 *
 * @author Bunny
 * @since 2024-11-11
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("t_debt_tracking")
@Schema(name = "DebtTracking对象", title = "债务追踪", description = "债务追踪")
public class DebtTracking extends BaseEntity {

    @Schema(name = "userId", title = "绑定的用户")
    private Long userId;

    @Schema(name = "debtorName", title = "债务人姓名")
    private String debtorName;

    @Schema(name = "debtAmount", title = "债务金额")
    private BigDecimal debtAmount;

    @Schema(name = "debtType", title = "债务类型")
    private String debtType;

    @Schema(name = "debtStatus", title = "债务状态")
    private String debtStatus;

    @Schema(name = "dueDate", title = "还款截止日期")
    private LocalDateTime dueDate;

}





