package cn.bunny.dao.entity.financial;

import cn.bunny.dao.common.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * <p>
 * 用户储值
 * </p>
 *
 * @author Bunny
 * @since 2024-11-11
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("t_saving_goal")
@Schema(name = "SavingGoal对象", title = "用户储值", description = "用户储值")
public class SavingGoal extends BaseEntity {

    @Schema(name = "userId", title = "绑定的用户id")
    private Long userId;

    @Schema(name = "statusType", title = "完成状态")
    private String statusType;

    @Schema(name = "savingGoalName", title = "储值目标名称")
    private String savingGoalName;

    @Schema(name = "amount", title = "目标金额")
    private BigDecimal amount;

    @Schema(name = "duration", title = "目标时长")
    private String duration;

}


