package cn.bunny.dao.vo.financial.admin;

import cn.bunny.dao.common.vo.BaseUserVo;
import com.alibaba.fastjson2.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.math.BigDecimal;

@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "BudgetCategoryVo对象", title = "预算分类查询返回对象", description = "预算分类查询返回对象")
public class BudgetCategoryVo extends BaseUserVo {

    @Schema(name = "parentId", title = "父级id")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @JSONField(serializeUsing = ToStringSerializer.class)
    private Long parentId;

    @Schema(name = "userId", title = "绑定的用户id")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @JSONField(serializeUsing = ToStringSerializer.class)
    private Long userId;

    @Schema(name = "username", title = "用户名")
    private String username;

    @Schema(name = "categoryName", title = "分类名称")
    private String categoryName;

    @Schema(name = "budgetName", title = "预算名称")
    private String budgetName;

    @Schema(name = "statusType", title = "完成状态")
    private String statusType;

    @Schema(name = "amount", title = "预算金额")
    private BigDecimal amount;

    @Schema(name = "period", title = "预算周期")
    private String startPeriod;

    @Schema(name = "period", title = "预算周期")
    private String endPeriod;

}