package cn.bunny.dao.vo.financial.admin;

import cn.bunny.dao.common.vo.BaseUserVo;
import com.alibaba.fastjson2.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "CategoryUserVo对象", title = "分类信息查询", description = "分类信息查询")
public class CategoryVo extends BaseUserVo {

    @Schema(name = "userId", title = "绑定的用户id")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @JSONField(serializeUsing = ToStringSerializer.class)
    private Long userId;

    @Schema(name = "username", title = "绑定的用户名")
    private String username;

    @Schema(name = "categoryName", title = "分类名称")
    private String categoryName;

    @Schema(name = "isBuiltin", title = "是否内置字段")
    private Boolean isBuiltin;

}