package cn.bunny.dao.vo.financial.admin;

import cn.bunny.dao.common.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "DebtRepaymentPlanVo对象", title = "债务还款计划返回对象", description = "债务还款计划返回对象")
public class DebtRepaymentPlanVo extends BaseVo {

    @Schema(name = "installmentNumber", title = "债务金额")
    private BigDecimal installmentNumber;

    @Schema(name = "installmentAmount", title = "每期应还金额")
    private BigDecimal installmentAmount;

    @Schema(name = "dueDate", title = "还款截止日期")
    private LocalDateTime dueDate;

    @Schema(name = "paidAmount", title = "已还金额")
    private BigDecimal paidAmount;

    @Schema(name = "paymentStatus", title = "还款状态")
    private String paymentStatus;

}