package cn.bunny.dao.vo.financial.admin;

import cn.bunny.dao.common.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "DebtTrackingVo对象", title = "债务追踪返回内容", description = "债务追踪返回内容")
public class DebtTrackingVo extends BaseVo {

    @Schema(name = "userId", title = "绑定的用户")
    private Long userId;

    @Schema(name = "debtorName", title = "债务人姓名")
    private String debtorName;

    @Schema(name = "debtAmount", title = "债务金额")
    private BigDecimal debtAmount;

    @Schema(name = "debtType", title = "债务类型")
    private String debtType;

    @Schema(name = "debtStatus", title = "债务状态")
    private String debtStatus;

    @Schema(name = "dueDate", title = "还款截止日期")
    private LocalDateTime dueDate;

}