package cn.bunny.dao.vo.financial.admin;

import cn.bunny.dao.common.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.math.BigDecimal;

@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "SavingGoalVo对象", title = "用户储值返回内容", description = "用户储值返回内容")
public class SavingGoalVo extends BaseVo {

    @Schema(name = "id", title = "主键")
    private Long id;

    @Schema(name = "userId", title = "绑定的用户id")
    private Long userId;

    @Schema(name = "statusType", title = "完成状态")
    private String statusType;

    @Schema(name = "savingGoalName", title = "储值目标名称")
    private String savingGoalName;

    @Schema(name = "amount", title = "目标金额")
    private BigDecimal amount;

    @Schema(name = "duration", title = "目标时长")
    private String duration;

}