package cn.bunny.services.controller.system;

import cn.hutool.captcha.CaptchaUtil;
import cn.hutool.captcha.CircleCaptcha;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpStatus;
import org.springframework.http.MediaType;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Tag(name = "访问首页内容", description = "访问首页内容相关接口")
@RestController
@RequestMapping("/")
public class IndexController {

    @Operation(summary = "访问首页", description = "访问首页")
    @GetMapping("")
    public String index() {
        return "欢迎访问 Bunny Java Template，欢迎去Gitee：https://gitee.com/BunnyBoss/java_single.git";
    }

    @Operation(summary = "生成验证码", description = "生成验证码")
    @GetMapping("noAuth/checkCode")
    public ResponseEntity<byte[]> checkCode() {
        HttpHeaders headers = new HttpHeaders();
        headers.setContentType(MediaType.IMAGE_JPEG);

        // 生成验证码
        CircleCaptcha captcha = CaptchaUtil.createCircleCaptcha(150, 48, 4, 2);
        byte[] image = captcha.getImageBytes();

        return new ResponseEntity<>(image, headers, HttpStatus.OK);
    }
}