package cn.bunny.services.mapper.financial;

import cn.bunny.dao.dto.financial.bill.user.BillUserDto;
import cn.bunny.dao.entity.financial.Bill;
import cn.bunny.dao.vo.financial.user.BillUserVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 账单信息 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2024-11-07 16:49:19
 */
@Mapper
public interface BillMapper extends BaseMapper<Bill> {

    /**
     * * 分页查询账单信息内容
     *
     * @param pageParams 账单信息分页参数
     * @param dto        账单信息查询表单
     * @return 账单信息分页结果
     */
    IPage<BillUserVo> selectListByPage(@Param("page") Page<Bill> pageParams, @Param("dto") BillUserDto dto, @Param("userId") Long userId);

    /**
     * 物理删除账单信息
     *
     * @param ids 删除 id 列表
     */
    void deleteBatchIdsWithPhysics(List<Long> ids);
}
