package cn.bunny.services.mapper.financial;

import cn.bunny.dao.dto.financial.budgetCategory.BudgetCategoryDto;
import cn.bunny.dao.entity.financial.BudgetCategory;
import cn.bunny.dao.vo.financial.admin.BudgetCategoryVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 预算分类表 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2024-11-11 15:36:57
 */
@Mapper
public interface BudgetCategoryMapper extends BaseMapper<BudgetCategory> {

    /**
     * * 分页查询预算分类表内容
     *
     * @param pageParams 预算分类表分页参数
     * @param dto        预算分类表查询表单
     * @return 预算分类表分页结果
     */
    IPage<BudgetCategoryVo> selectListByPage(@Param("page") Page<BudgetCategory> pageParams, @Param("dto") BudgetCategoryDto dto);

    /**
     * 物理删除预算分类表
     *
     * @param ids 删除 id 列表
     */
    void deleteBatchIdsWithPhysics(List<Long> ids);
}
