package cn.bunny.services.mapper.financial;

import cn.bunny.dao.dto.financial.category.admin.CategoryDto;
import cn.bunny.dao.dto.financial.category.user.CategoryUserDto;
import cn.bunny.dao.entity.financial.Category;
import cn.bunny.dao.vo.financial.admin.CategoryVo;
import cn.bunny.dao.vo.financial.user.CategoryUserVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 分类信息 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2024-11-08 10:29:58
 */
@Mapper
public interface CategoryMapper extends BaseMapper<Category> {
    /**
     * * 分页查询分类信息内容
     *
     * @param pageParams 分类信息分页参数
     * @param dto        分类信息查询表单
     * @return 分类信息分页结果
     */
    IPage<CategoryUserVo> selectUserListByPage(@Param("page") Page<Category> pageParams, @Param("dto") CategoryUserDto dto, @Param("userId") Long userId);

    /**
     * 物理删除分类信息
     *
     * @param ids 删除 id 列表
     */
    void deleteBatchIdsWithUserPhysics(List<Long> ids);

    /**
     * * 分页查询分类信息内容
     *
     * @param pageParams 分类信息分页参数
     * @param dto        分类信息查询表单
     * @return 分类信息分页结果
     */
    IPage<CategoryVo> selectListByPage(@Param("page") Page<Category> pageParams, @Param("dto") CategoryDto dto);

    /**
     * 物理删除分类信息
     *
     * @param ids 删除 id 列表
     */
    void deleteBatchIdsWithPhysics(List<Long> ids);
}
