package cn.bunny.services.mapper.financial;

import cn.bunny.dao.dto.financial.debtRepaymentPlan.DebtRepaymentPlanDto;
import cn.bunny.dao.entity.financial.DebtRepaymentPlan;
import cn.bunny.dao.vo.financial.admin.DebtRepaymentPlanVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 债务还款计划表 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2024-11-11 14:59:53
 */
@Mapper
public interface DebtRepaymentPlanMapper extends BaseMapper<DebtRepaymentPlan> {

    /**
     * * 分页查询债务还款计划表内容
     *
     * @param pageParams 债务还款计划表分页参数
     * @param dto        债务还款计划表查询表单
     * @return 债务还款计划表分页结果
     */
    IPage<DebtRepaymentPlanVo> selectListByPage(@Param("page") Page<DebtRepaymentPlan> pageParams, @Param("dto") DebtRepaymentPlanDto dto);

    /**
     * 物理删除债务还款计划表
     *
     * @param ids 删除 id 列表
     */
    void deleteBatchIdsWithPhysics(List<Long> ids);
}
