package cn.bunny.services.mapper.financial;

import cn.bunny.dao.dto.financial.debtTracking.DebtTrackingDto;
import cn.bunny.dao.entity.financial.DebtTracking;
import cn.bunny.dao.vo.financial.admin.DebtTrackingVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 债务追踪 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2024-11-11 16:36:31
 */
@Mapper
public interface DebtTrackingMapper extends BaseMapper<DebtTracking> {

    /**
     * * 分页查询债务追踪内容
     *
     * @param pageParams 债务追踪分页参数
     * @param dto        债务追踪查询表单
     * @return 债务追踪分页结果
     */
    IPage<DebtTrackingVo> selectListByPage(@Param("page") Page<DebtTracking> pageParams, @Param("dto") DebtTrackingDto dto);

    /**
     * 物理删除债务追踪
     *
     * @param ids 删除 id 列表
     */
    void deleteBatchIdsWithPhysics(List<Long> ids);
}
