package cn.bunny.services.mapper.financial;

import cn.bunny.dao.dto.financial.savingGoal.SavingGoalDto;
import cn.bunny.dao.entity.financial.SavingGoal;
import cn.bunny.dao.vo.financial.admin.SavingGoalVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 用户储值 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2024-11-11 16:49:29
 */
@Mapper
public interface SavingGoalMapper extends BaseMapper<SavingGoal> {

    /**
     * * 分页查询用户储值内容
     *
     * @param pageParams 用户储值分页参数
     * @param dto        用户储值查询表单
     * @return 用户储值分页结果
     */
    IPage<SavingGoalVo> selectListByPage(@Param("page") Page<SavingGoal> pageParams, @Param("dto") SavingGoalDto dto);

    /**
     * 物理删除用户储值
     *
     * @param ids 删除 id 列表
     */
    void deleteBatchIdsWithPhysics(List<Long> ids);
}
