package cn.bunny.services.service.financial;

import cn.bunny.dao.dto.financial.debtRepaymentPlan.DebtRepaymentPlanAddDto;
import cn.bunny.dao.dto.financial.debtRepaymentPlan.DebtRepaymentPlanDto;
import cn.bunny.dao.dto.financial.debtRepaymentPlan.DebtRepaymentPlanUpdateDto;
import cn.bunny.dao.entity.financial.DebtRepaymentPlan;
import cn.bunny.dao.pojo.result.PageResult;
import cn.bunny.dao.vo.financial.admin.DebtRepaymentPlanVo;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import jakarta.validation.Valid;

import java.util.List;

/**
 * <p>
 * 债务还款计划表 服务类
 * </p>
 *
 * @author Bunny
 * @since 2024-11-11 14:59:53
 */
public interface DebtRepaymentPlanService extends IService<DebtRepaymentPlan> {

    /**
     * * 获取债务还款计划表列表
     *
     * @return 债务还款计划表返回列表
     */
    PageResult<DebtRepaymentPlanVo> getDebtRepaymentPlanList(Page<DebtRepaymentPlan> pageParams, DebtRepaymentPlanDto dto);

    /**
     * * 添加债务还款计划表
     *
     * @param dto 添加表单
     */
    void addDebtRepaymentPlan(@Valid DebtRepaymentPlanAddDto dto);

    /**
     * * 更新债务还款计划表
     *
     * @param dto 更新表单
     */
    void updateDebtRepaymentPlan(@Valid DebtRepaymentPlanUpdateDto dto);

    /**
     * * 删除|批量删除债务还款计划表类型
     *
     * @param ids 删除id列表
     */
    void deleteDebtRepaymentPlan(List<Long> ids);
}
