package cn.bunny.services.service.financial;

import cn.bunny.dao.dto.financial.debtTracking.DebtTrackingAddDto;
import cn.bunny.dao.dto.financial.debtTracking.DebtTrackingDto;
import cn.bunny.dao.dto.financial.debtTracking.DebtTrackingUpdateDto;
import cn.bunny.dao.entity.financial.DebtTracking;
import cn.bunny.dao.pojo.result.PageResult;
import cn.bunny.dao.vo.financial.admin.DebtTrackingVo;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import jakarta.validation.Valid;

import java.util.List;

/**
 * <p>
 * 债务追踪 服务类
 * </p>
 *
 * @author Bunny
 * @since 2024-11-11 16:36:31
 */
public interface DebtTrackingService extends IService<DebtTracking> {

    /**
     * * 获取债务追踪列表
     *
     * @return 债务追踪返回列表
     */
    PageResult<DebtTrackingVo> getDebtTrackingList(Page<DebtTracking> pageParams, DebtTrackingDto dto);

    /**
     * * 添加债务追踪
     *
     * @param dto 添加表单
     */
    void addDebtTracking(@Valid DebtTrackingAddDto dto);

    /**
     * * 更新债务追踪
     *
     * @param dto 更新表单
     */
    void updateDebtTracking(@Valid DebtTrackingUpdateDto dto);

    /**
     * * 删除|批量删除债务追踪类型
     *
     * @param ids 删除id列表
     */
    void deleteDebtTracking(List<Long> ids);
}
