package cn.bunny.services.service.financial;

import cn.bunny.dao.dto.financial.savingGoal.SavingGoalAddDto;
import cn.bunny.dao.dto.financial.savingGoal.SavingGoalDto;
import cn.bunny.dao.dto.financial.savingGoal.SavingGoalUpdateDto;
import cn.bunny.dao.entity.financial.SavingGoal;
import cn.bunny.dao.pojo.result.PageResult;
import cn.bunny.dao.vo.financial.admin.SavingGoalVo;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import jakarta.validation.Valid;

import java.util.List;

/**
 * <p>
 * 用户储值 服务类
 * </p>
 *
 * @author Bunny
 * @since 2024-11-11 16:49:29
 */
public interface SavingGoalService extends IService<SavingGoal> {

    /**
     * * 获取用户储值列表
     *
     * @return 用户储值返回列表
     */
    PageResult<SavingGoalVo> getSavingGoalList(Page<SavingGoal> pageParams, SavingGoalDto dto);

    /**
     * * 添加用户储值
     *
     * @param dto 添加表单
     */
    void addSavingGoal(@Valid SavingGoalAddDto dto);

    /**
     * * 更新用户储值
     *
     * @param dto 更新表单
     */
    void updateSavingGoal(@Valid SavingGoalUpdateDto dto);

    /**
     * * 删除|批量删除用户储值类型
     *
     * @param ids 删除id列表
     */
    void deleteSavingGoal(List<Long> ids);
}
